Bug 989350 - [abrt] cinepaint-libs-1.3-9.fc19: gimp_run_procedure: Process /usr/lib64/cinepaint/1.3.0/plug-ins/xwd was killed by signal 6 (SIGABRT)
[abrt] cinepaint-libs-1.3-9.fc19: gimp_run_procedure: Process /usr/lib64/cine...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cinepaint (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
abrt_hash:edf9423c843c9e60548fe244c12...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 02:37 EDT by D. Charles Pyle
Modified: 2016-01-31 20:58 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-03 08:32:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.27 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: core_backtrace (1.46 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: dso_list (5.89 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: environ (1.71 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: maps (28.12 KB, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: open_fds (348 bytes, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-07-29 02:38 EDT, D. Charles Pyle
no flags Details

  None (edit)
Description D. Charles Pyle 2013-07-29 02:37:57 EDT
Description of problem:
I was running cinepaint after disabling Oyranos. I chose the File and Acquire menus to acquire a screenshot.  As soon as I clicked OK the program crashed and threw this error.  It is 100% reproducible.

Version-Release number of selected component:
cinepaint-libs-1.3-9.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/lib64/cinepaint/1.3.0/plug-ins/xwd -gimp 12 10 64 64
crash_function: gimp_run_procedure
executable:     /usr/lib64/cinepaint/1.3.0/plug-ins/xwd
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 29 00:25:36 Illuminatus-1 abrt[12907]: Saved core dump of pid 12906 (/usr/lib64/cinepaint/1.3.0/plug-ins/xwd) to /var/tmp/abrt/ccpp-2013-07-29-00:25:36-12906 (2084864 bytes)
xsession_errors: xwd: error: Can't open output file as specified.

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 gimp_run_procedure at plugin_main.c:832
 #5 gimp_message at plugin_main.c:351
 #8 load_image at xwd.c:382
 #9 run at xwd.c:294
 #10 gimp_proc_run at plugin_main.c:1147
 #11 gimp_loop at plugin_main.c:1076
 #12 gimp_main_ at plugin_main.c:278
 #13 plugin_main at plugin_main.c:175
Comment 1 D. Charles Pyle 2013-07-29 02:38:01 EDT
Created attachment 779633 [details]
File: backtrace
Comment 2 D. Charles Pyle 2013-07-29 02:38:03 EDT
Created attachment 779634 [details]
File: cgroup
Comment 3 D. Charles Pyle 2013-07-29 02:38:06 EDT
Created attachment 779635 [details]
File: core_backtrace
Comment 4 D. Charles Pyle 2013-07-29 02:38:08 EDT
Created attachment 779636 [details]
File: dso_list
Comment 5 D. Charles Pyle 2013-07-29 02:38:11 EDT
Created attachment 779637 [details]
File: environ
Comment 6 D. Charles Pyle 2013-07-29 02:38:14 EDT
Created attachment 779638 [details]
File: limits
Comment 7 D. Charles Pyle 2013-07-29 02:38:17 EDT
Created attachment 779639 [details]
File: maps
Comment 8 D. Charles Pyle 2013-07-29 02:38:19 EDT
Created attachment 779640 [details]
File: open_fds
Comment 9 D. Charles Pyle 2013-07-29 02:38:23 EDT
Created attachment 779641 [details]
File: proc_pid_status
Comment 10 Fedora Admin XMLRPC Client 2013-08-05 13:43:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 11 Jaromír Cápík 2013-11-04 11:35:52 EST
Hello Charles.

Could you please re-test that with the latest testing packages?

Please, download cinepaint-libs and cinepaint from here ...

http://koji.fedoraproject.org/koji/taskinfo?taskID=6117552

... and install both.

Thanks in advance.

Regards,
Jaromir.
Comment 12 D. Charles Pyle 2013-11-05 07:23:00 EST
I will get to that as soon as I can.  Right now, I am involved in a time consuming and major data recovery operation.  I will get to it as soon as I can.
Comment 13 D. Charles Pyle 2013-12-01 15:21:57 EST
OK, I am ready to test but there are no F20 packages.  As soon as they are available I can install and test.
Comment 14 Jaromír Cápík 2014-02-27 12:41:54 EST
The latest release (1.4-5.fc20) is available in the update-testing repository ...

yum --enablerepo updates-testing install cinepaint
Comment 15 Jaromír Cápík 2014-02-27 12:45:30 EST
NOTE: The project resurrection might take some time. We plan to create a new fork and incorporate all nice to have patches as the former upstream is unresponsive.
Comment 16 D. Charles Pyle 2014-02-28 00:20:09 EST
I'm now on F21 rawhide.
Comment 17 Jaromír Cápík 2014-03-04 14:19:14 EST
F21 conflicts have been resolved. Please, try it now. I still experience potential crashes, but such will be hopefuly fixed in the new fork. Stay tuned.
Comment 18 Jaromír Cápík 2014-04-03 08:32:54 EDT
The screenshot acquiring now seems to work correctly. Closing.

Note You need to log in before you can comment on or make changes to this bug.